class Prime {
   
    /**
    * Convertit une chaîne de caractères en un entier (relatif).
    * @param s La chaîne à convertir
    * @return L'entier représenté par la chaîne, ou 0 si la chaîne
    * ne représente pas un entier.
    */
    public static int stringToInt (String s) {
        try {
            return Integer.parseInt(s);
        } catch(NumberFormatException e) {
            return 0;
        }
    }

    /**
    * Affiche un entier sur le terminal.
    * @param n L'entier à afficher
    */
    public static void showInt (int n) {
        System.out.print (n);
    }

    /**
    * Affiche une chaîne sur le terminal.
    * @param s La chaîne à afficher
    */
    public static void showString (String s) {
        System.out.print (s);
    }

    /**
    * Passe à la ligne dans le terminal.
    */
    public static void showNewLine () {
        System.out.println ();
    }

    /**
     * Teste si un entier est premier. Retourne true si
     * l'argument est premier, false sinon.
     * @param n un entier dont on veut tester la primalité
     */

    public static boolean isPrime(int n) {
	if(n < 0) return isPrime(-n);
	if((n == 0) || n == 1) return false;
	for(int i = 2 ; i <= n/2 ; i++) {
	    if(n%i==0) return false;
	}
	return true;
    }



}

